# Learn Request Queue
An app to manage requests for music performance streamers to learn new songs.

## Bootstrapping a Development Environment

1. Populate .env with:

        URL_PREFIX=http://localhost

        PGHOST=db
        PGDATABASE=postgres
        PGUSER=postgres

        TWITCH_CLIENTID=Client ID from dev.twitch.tv
        TWITCH_SECRET=Client Secret from dev.twitch.tv
        SESSION_SECRET=Randomly generated secret
        YOUTUBE_SECRET=API Key from Google developer console (Youtube Data API v3, from web server)

        LOG_LEVEL=INFO

2. `docker-compose up` (optionally with `-d`)
